# Use an official Python runtime as a parent image
#FROM python:3.8-slim
FROM python:3.7-alpine
LABEL maintainer="Saqib Mehmood"

# Set enviroment variables
ENV PYTHONDONTWRITEBYTECODE 1
ENV PYTHONUNBUFFERED 1
ENV PATH="/scripts:${PATH}"

RUN pip install --upgrade pip

# Set the working directory in the container
WORKDIR /app

# Install system dependencies
RUN apk add --update --no-cache --virtual .tmp-build-deps \
      gcc libc-dev linux-headers postgresql-dev musl-dev zlib zlib-dev
# Install Python dependencies
COPY requirements.txt /app/
RUN pip install --no-cache-dir -r requirements.txt

# Copy the Django project code into container

Copy . /app/


# Expose port 8000 for Django application
Expose 8000

# Start the Django application with Gunicorn
COPY scripts/entrypoint.sh /entrypoint.sh
#CMD ["gunicorn", "Blog.wsgi:application", "--bind", "0.0.0.0:8000"]
#CMD ["daphne", "-u", "/tmp/daphne.sock", "Blog.asgi:application"]
RUN mkdir -p /vol/web/media
RUN mkdir -p /vol/web/static
RUN adduser -D user
RUN chown -R user:user /vol/
RUN chmod -R 755 /vol/web
USER user

VOLUME /vol/web
#CMD ["daphne", "Blog.asgi:application", "--port", "8000", "--bind", "0.0.0.0"]
ENTRYPOINT ["/entrypoint.sh"]





